{% extends 'base.html.twig' %}

{% block title %}Register{% endblock %}

{% block body %}

    <h1 class="text-4xl tracking-tight font-extrabold text-gray-900 pb-6 sm:text-5xl md:text-6xl">
        <span>S'inscrire</span>
    </h1>

<form method="post" class="mt-5">

    <label for="user_prenom" class="text-xl">Prénom</label>
    <input type="text" name="user[prenom]" id="user_prenom" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none mr-8" required>
    <label for="user_nom" class="text-xl">Nom</label>
    <input type="text" name="user[nom]" id="user_nom" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none mr-8 mb-8" required>
    <br>
    <label for="user_email" class="text-xl">Email</label>
    <input type="email" name="user[email]" id="user_email" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg w-64 focus:bg-gray-50 focus:outline-none mr-8" required autofocus>
    <label for="user_telephone" class="text-xl">Téléphone</label>
    <input type="number" name="user[telephone]" id="user_telephone" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg w-64 focus:bg-gray-50 focus:outline-none mr-8 mb-8" required autofocus>
    <br>
    <label for="user_addresse" class="text-xl">Adresse</label>
    <input type="text" name="user[addresse]" id="user_addresse" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg w-96 focus:bg-gray-50 focus:outline-none mr-8 mb-8" required autofocus>
    <br>
    <label for="user_password_first" class="text-xl">Mot de passe</label>
    <input type="password" name="user[password][first]" id="user_password_first" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none mr-8" required>
    <label for="user_password_second" class="text-xl">Confirmation mot de passe</label>
    <input type="password" name="user[password][second]" id="user_password_second" class="border-b-2 border-yellow-400 p-1.5 rounded-t-lg focus:bg-gray-50 w-64 focus:outline-none" required>
    <input type="checkbox" id="user_isAcheteur" name="user[isAcheteur]" class="hidden" value="1">
    {{ form_row(form._token) }}

    <br>
    <button class="bg-yellow-400 px-5 mt-10 py-3 mr-4 rounded" type="submit">
        Sign in
    </button>
    <a href="{{ path('app_login') }}" class="text-gray-500 hover:text-gray-700">
        Déjà inscrit(e) ? Se connecter
    </a>
</form>
{% endblock %}
